@import "../../../assets/scss/global";

.card-container {
    width: 100%;
    box-shadow: 20px 20px 60px rgba(0, 0, 0, 0.1);
    border-radius: 12px;
    padding: 20px;
    background: #FFF4F1 url('/images-v2/icons/background-ic.png') no-repeat top right;

    .card-content {
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        gap: 20px;

        .title {
            width: 100%;

            span {
                display: block;
                overflow: hidden;
                white-space: nowrap;
                text-overflow: ellipsis;
                font-weight: 700;
                font-size: 24px;
                line-height: 36px;
                color: #202226;
            }
        }

        .package-info {
            display: flex;
            flex-direction: column;
            gap: 10px;

            .des {
                font-weight: 400;
                font-size: 15px;
                line-height: 22px;
                color: #202226;

                .package {
                    font-weight: 700;
                    font-size: 15px;
                    line-height: 22px;
                    color: $primary-color;
                }
            }

            .timer {
                font-weight: 700;
                font-size: 32px;
                line-height: 48px;
                color: $primary-color;
            }
        }

        .box-unit-test-info{
            display: flex;
            flex-direction: row;
            align-items: center;
            align-self: stretch;
            padding: 8px 20px;
            gap: 12px;

            width: 100%;
            max-width: 300px;
            height: 61px;

            border-radius: 12px;
            background: #FFDCD4;

            .icon {
                display: flex;
                width: 24px;
                height: 24px;
                padding: 2px;
                justify-content: center;
                align-items: center;
                flex-shrink: 0;
                border-radius: 6px;
                background: #FFF;
                box-shadow: 4px 4px 8px 0px rgba(248, 76, 38, 0.25);
            }

            .content {
                display: flex;
                flex-direction: column;

                span {
                    color: #202226;
                    font-size: 13px;
                    font-weight: 500;
                    line-height: 20px;

                    &.count-using {
                        color: #EF4E2B;
                        font-size: 14px;
                        font-weight: 700;
                        line-height: 20px;

                        span {
                            color: #757688;
                            font-size: 14px;
                            font-weight: 500;
                            line-height: 20px;
                        }
                    }
                }
            }
        }

        .lineVertical {
            width: 100%;
            height: 0px;
            border: 0.5px solid #DFDFDF;
        }

        .button-action {
            height: 40px;
            display: flex;
            flex-direction: row;
            justify-content: center;
            gap: 20px;
        }
    }
}